int fd_id(int id)
/* 指定ﾒﾃﾞｨｱIDがＦＤＤのものかどうかを調べる */
/* 0=FDDでない , 1=2HD系 , 2=2DD系 */
/* Human68K V3対応 */
{
static unsigned char dev[]={
	 /*2DD/720*/0xf2,0xfc
	,/*2DD/640*/0xf3,0xfb
	,/*２ＨＱ */0xf0,0xfa
	,/*２ＨＣ */0xf1,0xfd
	,/*２ＨＴ */0xfa,0xea
	,/*２ＨＳ */0xfb,0xeb
	,/*２ＨＤE*/0xfc,0xec
	,/*２ＨＤ */0xfe,0xfe
};
#define SZ sizeof(dev)
int fv3,i;
	fv3=((VERNUM()&0xff00)>=0x0300);
	for (i=0;i<SZ;i+=2) {
		if (id==dev[i+fv3]) return(i<=1? 2:1);
	}
	return(0);
}
